package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.SalaryStatus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Shawn
 */
public interface SalaryMapper {
    String getFinanceSalaryStatus(@Param("userName") String userName,@Param("unitId") String unitId,@Param("monthId") String monthId);

    int SetSalaryStatusInfo(@Param("userName") String userName,@Param("unitId") String unitId,@Param("monthId") String monthId);

    void addUserIdColumn();

    List<SalaryStatus> selectAll();

    void updateList(List<SalaryStatus> list);
}
